thaw 0.4.8

An easy to use leptos component library
Documentation
.thaw-auto-complete {
    display: inline-flex;
}

.thaw-auto-complete > .thaw-input {
    min-width: 250px;
}

div.thaw-auto-complete__listbox {
    width: 100%;

    row-gap: var(--spacingHorizontalXXS);
    display: flex;
    flex-direction: column;
    min-width: 160px;
    max-height: 80vh;
    background-color: var(--colorNeutralBackground1);
    padding: var(--spacingHorizontalXS);
    outline: 1px solid var(--colorTransparentStroke);
    border-radius: var(--borderRadiusMedium);
    box-sizing: border-box;
    box-shadow: var(--shadow16);
    overflow-y: auto;
}
.thaw-auto-complete__menu-item {
    padding: 6px 5px;
    border-radius: 2px;
    cursor: pointer;
}

.thaw-auto-complete__menu-item--selected {
    background-color: var(--thaw-background-color-hover);
}

.thaw-auto-complete-option {
    column-gap: var(--spacingHorizontalXS);
    position: relative;
    display: flex;
    align-items: center;
    padding: var(--spacingVerticalSNudge) var(--spacingHorizontalS);
    line-height: var(--lineHeightBase300);
    font-size: var(--fontSizeBase300);
    font-family: var(--fontFamilyBase);
    color: var(--colorNeutralForeground1);
    border-radius: var(--borderRadiusMedium);
    cursor: pointer;
}

.thaw-auto-complete-option[data-activedescendant-focusvisible]::after {
    content: "";
    position: absolute;
    right: -2px;
    left: -2px;
    bottom: -2px;
    top: -2px;
    z-index: 1;
    pointer-events: none;
    border-radius: var(--borderRadiusMedium);
    border: 2px solid var(--colorStrokeFocus2);
}

.thaw-auto-complete-option:hover {
    color: var(--colorNeutralForeground1Hover);
    background-color: var(--colorNeutralBackground1Hover);
}

.thaw-auto-complete-option:active {
    color: var(--colorNeutralForeground1Pressed);
    background-color: var(--colorNeutralBackground1Pressed);
}